#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Library for generating documents in EPUB format
Summary(pl.UTF-8):	Biblioteka do generowania dokumentów w formacie EPUB
Name:		libepubgen
Version:	0.1.1
Release:	1
License:	MPL v2.0
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libepubgen/%{name}-%{version}.tar.xz
# Source0-md5:	6e710ab7e45ecdecac4983db18dd2629
URL:		http://libepubgen.sourceforge.net/
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	librevenge-devel >= 0.0
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libepubgen is a library for generating documents in EPUB format,
implementing librevenge document interfaces. It supports conversion of
text documents, presentations and vector drawings.

%description -l pl.UTF-8
libepubgen to biblioteka do generowania dokumentów w formacie EPUB,
implementująca interfejsy dokumentów librevenge. Obsługuje konwersję
dokumentów tekstowych, prezentacji oraz rysunków wektorowych.

%package devel
Summary:	Header files for libepubgen library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libepubgen
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	librevenge-devel >= 0.0
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for libepubgen library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libepubgen.

%package static
Summary:	Static libepubgen library
Summary(pl.UTF-8):	Statyczna biblioteka libepubgen
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libepubgen library.

%description static -l pl.UTF-8
Statyczna biblioteka libepubgen.

%package apidocs
Summary:	libepubgen API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libepubgen
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libepubgen API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libepubgen.

%prep
%setup -q

%build
%configure \
	%{?with_static_libs:--enable-static} \
	--disable-silent-rules \
	--disable-werror
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libepubgen-*.la
# packaged as %doc in -apidocs
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libepubgen

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libepubgen-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libepubgen-0.1.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepubgen-0.1.so
%{_includedir}/libepubgen-0.1
%{_pkgconfigdir}/libepubgen-0.1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libepubgen-0.1.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc docs/doxygen/html/*
%changelog
* Sun Jul 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libepubgen.git;a=log;h=master

* Sun Jul 15 2018 Jakub Bogusz <qboosh@pld-linux.org> aaa0812
- updated to 0.1.1
- C++ 11 required (since 0.0.1)

* Thu Feb 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d39eb19
- up to 0.1.0

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 773aed4
- noarch apidocs

* Tue Jul 14 2015 Jan Rękorajski <baggins@pld-linux.org> 1748509
- release 2 (by relup.sh)

* Fri Feb 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 59505a9
- new

